require "DynamicCase/version"

module DynamicCase
  class Error < StandardError; end

  class GrowStatement

    def self.case_seed
      when_snapshot = File.read("data/when_conditions/old_when.txt").strip

      ## Write new when condition
      case_header = 'case input'

      print "When >> "
      new_when = gets.chomp

      print "Perform >> "
      perform = gets.chomp

      case_footer = "end"

      old_when = "
  #{when_snapshot}
  when #{new_when}\n  #{perform}"

      ## Generate total statement
      open("data/when_conditions/old_when.txt", "w") { |f|
        f.puts old_when
      }

      open("script.rb", "w") { |f|
        f.puts "usr_name = File.read('data/usr_identity/name.txt').strip\n"
        f.puts "bot_name = File.read('data/bot_identity/name.txt').strip\n\n"
        f.puts 'puts "#{bot_name}: What would you like? "'
        f.puts 'print "#{usr_name}: "'
        f.puts "input = gets.chomp\n\n"
        f.puts case_header
        f.puts old_when
        f.puts "when #{new_when}\n  #{perform}"
        f.puts 'else'
        f.puts '  puts "#{bot_name}: I do not understand..."'
        f.puts case_footer
      }
    end

    def self.execute_script
      system("ruby script.rb")
    end

  end
end
